Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy Arkance Systems [www.cadforum.cz]
CZ | SK | EN | DE
Přihlášení
či registrace
   právě nás čte: 4515 
RSS kanál - CAD tipy RSS tipy
RSS diskuze

Diskuze Diskuzní fórum, poradna

 

NápovědaCAD diskuze, rady, výměna zkušeností

 
CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy Arkance Systems (CAD Studio) - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Pravidlo - Spiralova_krivka

 Odpovědět Odpovědět archiv
Autor
Jirka_testery Zobrazit panel
Nováček
Nováček

Přihlášen: 25.led.2023
Lokalita: ČR (Pha)
Používám:
Inventor 2022
Stav: Offline
Bodů: 2
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Jirka_testery Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: Pravidlo - Spiralova_krivka
    Zasláno: 25.led.2023 v 12:43

Připojené souboryiptuploads/110862/Spiralova_krivka.ipt
Dobrý den, prosím o radu. Snažím se pomocí formuláře a podmínky změnit smysl otáčení spirály. Podmínku chápu, ovšem nevím správný syntax pro název této vlastnosti a název křivky. Děkuji, s pozdravem Jiří D. 
Připojené náhledyPřihlaste se pro zobrazení plné verze - 110862/Výstřižek.PNG

Zpět nahoru
Navara Zobrazit panel
Arkance Systems support
Arkance Systems support
Avatar
Arkance Systems

Přihlášen: 08.zář.2008
Lokalita: ČR (Pha)
Používám:
Inventor
Stav: Offline
Bodů: 1612
Možnosti příspěvku Možnosti příspěvku   Poděkování (2) Poděkování2   Citace Navara Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 25.led.2023 v 12:54
To je dáno v definici křivky. Pro váš případ takhle:

Dim part As PartDocument = ThisDoc.Document
Dim sk3D As Sketch3D = part.ComponentDefinition.Sketches3D(1)
Dim helicalCurve As HelicalCurve = sk3D.HelicalCurves(1)

Dim clockwise As Boolean = (Parameter("SMYSL") = "LEVÝ")

helicalCurve.Definition.Clockwise = clockwise

part.Update()
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 12654:VIPPřehled názvů všech interních příkazů Inventoru.
Tip 12504:VIPJak spustit nebo nakopírovat iLogic pravidlo z jiného dokumentu?
Tip 11500:VIPNastavení barvy pozadí výkresového listu Inventoru pomocí iLogic
Tip 4734:Pravidla potrubních sítí v Civil3D.
Tip 11548:Jak přenést pravidla akcí při kopírování návrhu Vaultu na další počítače?
Tip 11488:VIPiLogic makro pro nastavení přesnosti kót a tolerancí.


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,530 sekund.